Install NVIDIA Drivers [515.43.04 / 510.73.05 / 470.129.06 / 390.151 / 340.108] on CentOS Stream 9/8, RHEL 9/8, Rocky Linux 8.5 - Comment Page: 1

This is guide, howto install NVIDIA proprietary drivers (manually using .run files) on CentOS Stream 9/8, Red Hat (RHEL) 9.0/8.5, Rocky Linux 8.5 and disable Nouveau driver. This guide works with GeForce 8/9/200/300/400/500/600/700/800/900/10/20/30 series cards. GeForce RTX 30 series cards works with 515.xx, 510.xx, 470.xx NVIDIA drivers, (RTX 3090, RTX 3080 and RTX 3070, RTX 3060, RTX 3060 Ti) GeForce RTX 20 series cards works with 515.xx, 510.xx, 470.xx NVIDIA drivers (RTX 2080 Ti, RTX 2080, RTX 2070 Ti, RTX 2070, RTX 2060) GeForce GT/GTX 600/700/800/900/10 series cards works with 510.xx, 495.xx, 470.xx, 460.xx, and 390.xx NVIDIA drivers (GTX 1080 Ti, GTX 1080, GTX 1070, GTX 1060,...

8 comments on “Install NVIDIA Drivers [515.43.04 / 510.73.05 / 470.129.06 / 390.151 / 340.108] on CentOS Stream 9/8, RHEL 9/8, Rocky Linux 8.5 - Comment Page: 1

    1. Hi, this is a great tutorial, have been using it for a long time now. I would just like to inform that for me fedora 35 was not working with the 460.80 driver (RTX 3080 card). I had installed it with fedora 34 (using this tutorial), but it broke in one of the last kernel updates before fedora 35, giving me a flickering cursor on boot. Solved it updating to the 495.46 driver, but needed to follow the tutorial only using runlevel 3.

      Reply
    2. Thanks a lot for all the info and the detailed process!

      nvidia-installer: version 495.46

      Linux SH-WS03 4.18.0-348.7.1.el8_5.x86_64 #1 SMP Tue Dec 21 19:02:23 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

      2d:00.0 VGA compatible controller: NVIDIA Corporation GA102GL [RTX A5000] (rev a1)

      Reply
    3. Hi! I didn’t get this question “2.8.6 NVIDIA Installer Automatic Xorg Config and Backup”

      Other than that, spot on! THANKS!

      nvidia-installer: version 470.103.01
      Linux dell 5.14.0-70.el9.x86_64 #1 SMP PREEMPT Thu Feb 24 23:01:31 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
      00:02.0 VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04)
      01:00.0 3D controller: NVIDIA Corporation GM107GLM [Quadro M1200 Mobile] (rev a2)

      Reply
    4. Excellent tutorial! This was a great help!

      My case was outside your list of tested cards and drivers but still worked :)

      nvidia-installer: version 460.106.00

      Linux prolient01 4.18.0-348.12.2.el8_5.x86_64 #1 SMP Wed Jan 19 17:53:40 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

      84:00.0 3D controller: NVIDIA Corporation GK110BGL [Tesla K40m] (rev a1)

      Reply
    5. Thanks this was really helpful.

      nvidia-installer: version 510.54

      Linux precision 4.18.0-348.20.1.el8_5.x86_64 #1 SMP Thu Mar 10 20:59:28 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

      0000:4f:00.0 VGA compatible controller: NVIDIA Corporation GM204GL [Quadro M4000] (rev a1)
      0000:d5:00.0 VGA compatible controller: NVIDIA Corporation GM204GL [Quadro M4000] (rev a1)

      Reply
    6. Hi there,
      Thank you for an excellent guide.
      I have successfully followed the steps and installed it on my new shiny AlmaLinux 8.5 with the 4.18 Kernel. [with a very old GeForce card.]
      I came across your article after noticing that the Nouveau drivers were giving me a warning about writing to a memory block?
      [nouveau 0000:01:00.0 bus:MM10……fault at 103ff4 [PRIVRING]]
      Anyhow, here are the three outputs requested:

      nvidia-installer: version 390.147 (dvs-builder@U64-E08-29-1) Mon Dec 13 13:50:38 UTC 2021
      4.18.0-348.20.1.el8_5.x86_64 #1 SMP Thu Mar 10 11:31:47 EST 2022 x86_64 x86_64 x86_64 GNU/Linux
      01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)

      Thanks again.

      Reply
      • Excellent! You’re welcome!

        Reply

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Exit mobile version
Close